aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash')
-rw-r--r--bash/bash_completion.d/_text_filenames.bash8
1 files changed, 4 insertions, 4 deletions
diff --git a/bash/bash_completion.d/_text_filenames.bash b/bash/bash_completion.d/_text_filenames.bash
index 52bb80a1..9cc1c722 100644
--- a/bash/bash_completion.d/_text_filenames.bash
+++ b/bash/bash_completion.d/_text_filenames.bash
@@ -18,10 +18,10 @@ _text_filenames() {
[[ -e $item ]] || continue
# Exclude files with block, character, pipe, or socket type
- [[ ! -b $item ]] || continue
- [[ ! -c $item ]] || continue
- [[ ! -p $item ]] || continue
- [[ ! -S $item ]] || continue
+ ! [[ -b $item ]] || continue
+ ! [[ -c $item ]] || continue
+ ! [[ -p $item ]] || continue
+ ! [[ -S $item ]] || continue
# Accept directories
if [[ -d $item ]] ; then